# KDChartThreeDPieAttributes.cpp File Reference

`#include "KDChartThreeDPieAttributes.h"`
`#include "KDChartThreeDPieAttributes_p.h"`
`#include <QDebug>`
`#include <KDABLibFakes>`

Include dependency graph for KDChartThreeDPieAttributes.cpp:

Go to the source code of this file.

## Defines

#define | d d_func()

## Functions

QDebug | operator<< (QDebug dbg, const KDChart::ThreeDPieAttributes &a)

## Define Documentation

#define d d_func()

| Definition at line 33 of file KDChartThreeDPieAttributes.cpp.

## Function Documentation

QDebug operator<< | ( | QDebug | dbg,
|  | const KDChart::ThreeDPieAttributes & | a
| ) |

Definition at line 92 of file KDChartThreeDPieAttributes.cpp.

References KDChart::ThreeDPieAttributes::useShadowColors().

    00093 {
    00094     dbg << "KDChart::ThreeDPieAttributes(";
    00095     dbg = operator <<( dbg, static_cast<const AbstractThreeDAttributes&>(a) );
    00096     dbg << "useShadowColors="<< a.useShadowColors() << ")";
    00097     return dbg;
    00098 }